Language

SqlColumnEncryptionCertificateStoreProvider Class

Definition

The implementation of the key store provider for Windows Certificate Store. This class enables using certificates stored in the Windows Certificate Store as column master keys. For details, see Always Encrypted.

For new development, use Microsoft.Data.SqlClient. This page documents System.Data.SqlClient.

public ref class SqlColumnEncryptionCertificateStoreProvider sealed : System::Data::SqlClient::SqlColumnEncryptionKeyStoreProvider
public ref class SqlColumnEncryptionCertificateStoreProvider : System::Data::SqlClient::SqlColumnEncryptionKeyStoreProvider
public sealed class SqlColumnEncryptionCertificateStoreProvider : System.Data.SqlClient.SqlColumnEncryptionKeyStoreProvider
public class SqlColumnEncryptionCertificateStoreProvider : System.Data.SqlClient.SqlColumnEncryptionKeyStoreProvider
type SqlColumnEncryptionCertificateStoreProvider = class
    inherit SqlColumnEncryptionKeyStoreProvider
Public NotInheritable Class SqlColumnEncryptionCertificateStoreProvider
Inherits SqlColumnEncryptionKeyStoreProvider
Public Class SqlColumnEncryptionCertificateStoreProvider
Inherits SqlColumnEncryptionKeyStoreProvider
Inheritance
SqlColumnEncryptionCertificateStoreProvider

Constructors

Name Description
SqlColumnEncryptionCertificateStoreProvider()

Key store provider for Windows Certificate Store.

For new development, use Microsoft.Data.SqlClient. This page documents System.Data.SqlClient.

Fields

Name Description
ProviderName

The provider name.

For new development, use Microsoft.Data.SqlClient. This page documents System.Data.SqlClient.

Methods

Name Description
DecryptColumnEncryptionKey(String, String, Byte[])

Decrypts the specified encrypted value of a column encryption key. The encrypted value is expected to be encrypted using the certificate with the specified key path and using the specified algorithm. The format of the key path should be "Local Machine/My/<certificate_thumbprint>" or "Current User/My/<certificate_thumbprint>".

For new development, use Microsoft.Data.SqlClient. This page documents System.Data.SqlClient.

EncryptColumnEncryptionKey(String, String, Byte[])

Encrypts a column encryption key using the certificate with the specified key path and using the specified algorithm. The format of the key path should be "Local Machine/My/<certificate_thumbprint>" or "Current User/My/<certificate_thumbprint>".

For new development, use Microsoft.Data.SqlClient. This page documents System.Data.SqlClient.

Equals(Object)

Determines whether the specified object is equal to the current object.

(Inherited from Object)
GetHashCode()

Serves as the default hash function.

(Inherited from Object)
GetType()

Gets the Type of the current instance.

(Inherited from Object)
MemberwiseClone()

Creates a shallow copy of the current Object.

(Inherited from Object)
SignColumnMasterKeyMetadata(String, Boolean)

Digitally signs the column master key metadata with the column master key referenced by the masterKeyPath parameter.

For new development, use Microsoft.Data.SqlClient. This page documents System.Data.SqlClient.

ToString()

Returns a string that represents the current object.

(Inherited from Object)
VerifyColumnMasterKeyMetadata(String, Boolean, Byte[])

This function must be implemented by the corresponding Key Store providers. This function should use an asymmetric key identified by a key path and verify the masterkey metadata consisting of (masterKeyPath, allowEnclaveComputations, providerName).

For new development, use Microsoft.Data.SqlClient. This page documents System.Data.SqlClient.

Applies to

See also